API SpecificationConsole Sessions
GetConsoleSession
Authorization
BearerAuth AuthorizationBearer <token>
A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC
token for humans. The key's namespace and role are pinned server-side.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
sessionId?string
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://containers.xeonr.io/containers.api.v1.ConsoleService/GetConsoleSession" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"session": {
"sessionId": "string",
"sandboxId": "string",
"namespace": "string",
"name": "string",
"argv": [
"string"
],
"env": {
"property1": "string",
"property2": "string"
},
"cwd": "string",
"cols": 0,
"rows": 0,
"state": "CONSOLE_SESSION_STATE_UNSPECIFIED",
"exitCode": 0,
"createdAtUnix": 0,
"lastActivityUnix": 0,
"headOffset": 0,
"tailOffset": 0,
"attached": 0,
"idleTtlSec": 0,
"createdBy": "string"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}